LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Puppy
User Name
Password
Puppy This forum is for the discussion of Puppy Linux.

Notices

Reply
 
Search this Thread
Old 10-23-2009, 07:09 PM   #1
RHTopics
Member
 
Registered: May 2006
Posts: 35

Rep: Reputation: 3
Puppy 4.3.1 Abiword aborts when you click on "Create and Modify Styles..."


In Puppy 4.3.1 there is a known bug in Abiword that when you click on "Create and Modify Styles..." from the Format menu option, Abiword will abort.

If you run Abiword from a terminal window (rxvt) and click on "Create and Modify Styles..." from the Format menu option, it will display the following (partial listing):

Quote:
# abiword
*** glibc detected *** abiword: free(): invalid pointer: 0x0894a008 ***
======= Backtrace: =========
/lib/libc.so.6[0xb724140e]
/lib/libc.so.6(cfree+0xa9)[0xb7242bdd]
/usr/lib/libglib-2.0.so.0(g_free+0x2c)[0xb773e94c]
abiword(_ZN20AP_UnixDialog_Styles14_populateCListEv+0x3a9)[0x848b5b3]
abiword(_ZN20AP_UnixDialog_Styles19_populateWindowDataEv+0x11)[0x848b5dd]
abiword(_ZN20AP_UnixDialog_Styles8runModalEP9XAP_Frame+0x28a)[0x848c41a]
abiword[0x817ffdf]
abiword(_ZN14ap_EditMethods8dlgStyleEP7AV_ViewP21EV_EditMethodCallData+0x58)[0x8187592]
abiword(_ZNK13EV_EditMethod2FnEP7AV_ViewP21EV_EditMethodCallData+0x21)[0x830a499]
abiword(_ZN7EV_Menu16invokeMenuMethodEP7AV_ViewP13EV_EditMethodRK9UT_String+0x87)[0x830e8e3]
abiword(_ZN11EV_UnixMenu9menuEventEi+0xbd)[0x8310d9d]
abiword(_ZN3_wd12s_onActivateEP10_GtkWidgetPv+0x21)[0x831362d]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x4d)[0xb77c8ebd]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x13c)[0xb77bbf3c]
/usr/lib/libgobject-2.0.so.0[0xb77d057a]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8fa)[0xb77d234a]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x1e)[0xb77d26be]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0x4b)[0xb7d7138b]
Is there a work around solution to this problem?
 
Old 11-14-2009, 01:26 AM   #2
8-bit
Member
 
Registered: Jan 2009
Location: Southern Oregon under a rock.
Distribution: Puppy 431 SCSI, Lucid 520, Slacko, Win 7
Posts: 131

Rep: Reputation: 49
I do not know if this would help, but after exploring your problem, I downloaded the source file for abiword, compiled it and installed it. It seems there were some directory changes made with puppy that messes things up.
I say this because the version I downloaded, Abiword 2.8.1, when compiled and installed, did not crash when selecting "Create and Modify Styles". I had to move one file from /usr/local/lib to /usr/lib to get it to work.
But....
When I set up it's file placement like The installed version of Abiword 2.6.3, it crashed the very same way.
So evidently, file location is very important to Abiword.
 
Old 11-18-2009, 07:30 PM   #3
RHTopics
Member
 
Registered: May 2006
Posts: 35

Original Poster
Rep: Reputation: 3
8-bit,

Thanks for the reply, but I am not sure what you did and where you did it.

Did you compile and install Abiword 2.8.1 from source code using Puppy Linux 4.3.1?

If you did, you then moved this one file produced by the compile and install of Abiword 2.8.1 from /usr/local/lib to /usr/lib, and this stopped the abort problem for the original Abiword 2.6.3 version? Or was it that you had to move this one file to get Abiword 2.8.1 to work properly?

It is interesting that you downloaded, compiled, and installed Abiword 2.8.1. I did same thing a few days ago after discovering that Abiword 2.6.4 in a Gnome openSUSE 11.1 installation had the same problem as Puppy Linux. It was a little bit different in that the "Create and Modify Styles..." menu option in openSUSE would hang and not abort, and Gnome would allow you to close the window. But when you ran Abiword 2.6.4 from a terminal window, it displayed the same problem as in Puppy Linux.
 
Old 11-18-2009, 11:53 PM   #4
8-bit
Member
 
Registered: Jan 2009
Location: Southern Oregon under a rock.
Distribution: Puppy 431 SCSI, Lucid 520, Slacko, Win 7
Posts: 131

Rep: Reputation: 49
I found a pet package for Abiword 2.8.1 that just seems to work fine.
it is downloadable from
http://www.murga-linux.com/puppy/vie...2544876#363004

This is a link to a message on the murga-linux puppy forum.
I hope it helps.
 
Old 11-19-2009, 02:16 PM   #5
RHTopics
Member
 
Registered: May 2006
Posts: 35

Original Poster
Rep: Reputation: 3
8-bit,

Thanks for doing the research and finding the pet package for Abiword 2.8.1. That was the type of work around solution I was trying to find.

I tried it out and it works for me.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Difference between "frugal" and "full" installations of Puppy? gray53 Linux - Newbie 2 07-31-2009 02:31 PM
How do you create shortcuts to "folders" and "binaries" in GNOME? ebenh Linux - Desktop 5 01-21-2008 05:28 AM
how to modify "start" menu in FC3-KDE desktop? quixote9 Fedora 2 05-30-2005 12:03 AM
"cannot exec `as': ..." AND "C compiler cannot create ..." pr3st0 Linux - Software 0 10-15-2004 12:42 PM
How to modify dial options ( From "pulse" to "tone" ) nykey Linux - Newbie 3 11-24-2003 01:39 PM


All times are GMT -5. The time now is 02:18 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration